Bug 433926 - Review Request: freehoo - Freehoo is a free console based messenger for Yahoo IM Service
Review Request: freehoo - Freehoo is a free console based messenger for Yahoo...
Status: CLOSED NEXTRELEASE
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Debarshi Ray
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2008-02-22 00:35 EST by Ray Van Dolson
Modified: 2008-07-11 17:39 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-07-11 17:39:35 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
debarshir: fedora‑review+
kevin: fedora‑cvs+


Attachments (Terms of Use)

  None (edit)
Description Ray Van Dolson 2008-02-22 00:35:23 EST
Spec URL: http://www.bludgeon.org/~rayvd/rpms/freehoo/freehoo.spec
SRPM URL: http://www.bludgeon.org/~rayvd/rpms/freehoo/freehoo-3.5.1-1.src.rpm
Description: This is a simple Yahoo Messenger client that requires no windowing system, and it therefore can be quite useful in situations where a minimal system
is being used or when a windowing system is otherwise unavailable or unfeasible.
Comment 1 Ray Van Dolson 2008-02-22 00:35:52 EST
This relies on libyahoo2 which has a review request here:

  https://bugzilla.redhat.com/show_bug.cgi?id=433925
Comment 2 Ray Van Dolson 2008-04-28 02:12:39 EDT
This has been updated to work with libyahoo2 0.7.6:

http://www.bludgeon.org/~rayvd/rpms/freehoo/freehoo.spec
http://www.bludgeon.org/~rayvd/rpms/freehoo/freehoo-3.5.1-2.src.rpm
Comment 4 Debarshi Ray 2008-06-22 08:46:40 EDT
MUST Items: 

OK - rpmlint is clean
OK - follows Naming Guidelines
OK - spec file is named as %{name}.spec

xx - package does not meet Packaging Guidelines
    + According to https://fedoraproject.org/wiki/Packaging/Guidelines#Requires
there is no need to mention Requires: guile readline glib2. RPM automagically
picks them up:
      [rishi@ginger x86_64]$ rpm --requires -qp freehoo-3.5.2-1.fc8.x86_64.rpm 
      [...]
      libglib-2.0.so.0()(64bit)  
      libguile.so.17()(64bit)  
      [...]
      libreadline.so.5()(64bit)
    + Requires: words is needed because freehoo uses /usr/share/dict/words.
    + freehoo.1 is now UTF-8 and conversion is not needed anymore.
    + Why is C_INCLUDE_PATH needed? It looks like the configure takes care of it:
      AC_SUBST(YAHOO2_CFLAGS)
      AC_SUBST(YAHOO2_LIBS)
    + Does 'make test' really work? I am getting:
      [rishi@ginger src]$ make test
      make: *** No rule to make target `test'.  Stop.
      [rishi@ginger src]$
    + Is '%{__rm} -rf %{buildroot}/examples' really needed? Looks like
%{buildroot}/examples is not created.
    + The following two lines are not needed:
      %{__rm} -f  %{buildroot}/usr/doc/%{name}/autogen.sh
      %{__cp} -av %{buildroot}/usr/doc/%{name}/*
%{buildroot}/%{_docdir}/%{name}-%{version}/
      Just remove %{buildroot}/usr/doc because %doc copies the files anyway.
    + According to
https://fedoraproject.org/wiki/Packaging/Guidelines#Documentation the INSTALL
file should not be carried.

OK - license meets Licensing Guidelines

xx - License field meets actual license
    + Should be GPLv2+ instead of GPLv2. See
http://fedoraproject.org/wiki/Licensing#SoftwareLicenses

OK - upstream license file included in %doc
OK - spec file uses American English
OK - spec file is legible
OK - sources match upstream sources
OK - package builds successfully
OK - ExcludeArch not needed

OK - build dependencies correctly listed
    + You could consider listing each dependency on a separate line.

OK - no locales
OK - no shared libraries
OK - package is not relocatable
OK - file and directory ownership
OK - no duplicates in %file

OK - file permissions set properly
    + The preferred attribute definition is: %defattr(-,root,root,-)

OK - %clean present

xx - macros not used consistently
    + Use %{_infodir} instead of %{_datadir}/info. See
https://fedoraproject.org/wiki/Packaging/RPMMacros
    + Try not to mix freehoo and %{name} in the Spec. eg., %files. See
https://fedoraproject.org/wiki/Packaging/Guidelines#Macros

OK - contains code and permissable content
OK - -doc is not needed
OK - contents of %doc does not affect the runtime
OK - no header files
OK - no static libraries
OK - no pkgconfig files
OK - no library files
OK - -devel is not needed
OK - no libtool archives
OK - %{name}.desktop file not needed
OK - does not own files or directories owned by other packages
OK - buildroot correctly prepped
OK - all file names valid UTF-8

SHOULD Items:

OK - upstream provides license text
xx - no translations for description and summary
OK - package builds in mock successfully
OK - package builds on all supported architectures
OK - package functions as expected
OK - scriptlets are sane
OK - subpackages are not needed
OK - no pkgconfig files
OK - no file dependencies outside /etc, /bin, /sbin, /usr/bin, or /usr/sbin
Comment 5 Ray Van Dolson 2008-06-28 20:18:38 EDT
Alright, I *think* I got everything you mentioned.  I went ahead and just
removed the %check section completely as well.

Spec: http://www.bludgeon.org/~rayvd/rpms/freehoo/freehoo.spec
SRPM: http://www.bludgeon.org/~rayvd/rpms/freehoo/freehoo-3.5.2-2.src.rpm

Thanks for your efforts on this!
Comment 6 Debarshi Ray 2008-06-29 05:32:43 EDT
+---------------------------------+
| This package is APPROVED by me. |
+---------------------------------+
Comment 7 Ray Van Dolson 2008-06-29 13:57:50 EDT
New Package CVS Request
=======================
Package Name: freehoo
Short Description: Console based Yahoo Client
Owners: rayvd
Branches: F-8 F-9 EL-4 EL-5
InitialCC:
Cvsextras Commits: yes
Comment 8 Kevin Fenzi 2008-06-30 11:55:51 EDT
cvs done.
Comment 9 Debarshi Ray 2008-07-02 13:16:07 EDT
Please close this as NEXTRELEASE once the package has been tagged and built.
Comment 10 Debarshi Ray 2008-07-11 16:25:34 EDT
Ping?
Comment 11 Ray Van Dolson 2008-07-11 17:39:35 EDT
Thanks. :-)

Note You need to log in before you can comment on or make changes to this bug.